#!/bin/sh
#
# Version: 1
#
######################################################################################
# Objet du script: Recherche de ligne dans les fichiers log
#######################################################################################
#
# Change History:
#
######################################################################################
#
# Set up BBPROG Variable
#
BBPROG=bb-log.sh; export BBPROG
#
# Set up Column Name for display
#
TEST="log"
#
# BBHOME Variable is set up from runbb.sh.
#
if test "$BBHOME" = ""
then
        echo "BBHOME is not set... exiting"
        exit 1
fi
#
# The name of the configuration file
#
BBLOGCONFIG=$BBHOME/etc/bb-log-cfg.sh
#
# Get variables in bbdef.sh if BBTMP not setup
        #
if test ! "$BBTMP"
then
         # echo "*** LOADING BBDEF ***"
        . $BBHOME/etc/bbdef.sh          # INCLUDE
fi

if [ ! -r $BBLOGCONFIG ]
then
	echo "Configuration file $BBLOGCONFIG not found... exiting"
	exit 1
else
	# echo "*** LOADING $BBLOGCONFIG ***"
	. $BBLOGCONFIG
fi


COLOR="green"
l1=""
l2=""
l3=""
l4=""
l5=""
l6=""
l7=""
l8=""
mot0=""
mot1=""
mot2=""
mot3=""
##############################
#FICHIER LOG 1
##############################
#l1 ligne contenant la chaine APP1 
l1=`cat $FICHIER1 | awk /$APP1/`
#l2 ligne commencant par la chaine COM1 
l2=`cat $FICHIER1 | awk /^$COM1*/`
#l3 ligne etant exactement la chaine EXA1
l3=`cat $FICHIER1 | awk /^$EXA1$/`
#l4 ligne finissant par la chaine FIN1
l4=`cat $FICHIER1 | awk /$FIN1$/` 
##############################

##############################
#FICHIER LOG 2
##############################
#l5 ligne contenant la chaine APP2 
l5=`cat $FICHIER2 | awk /$APP2/`
#l6 ligne commencant par la chaine COM2 
l6=`cat $FICHIER2 | awk /^$COM2*/`
#l7 ligne etant exactement la chaine EXA2
l7=`cat $FICHIER2 | awk /^$EXA2$/`
#l8 ligne finissant par la chaine FIN2
l8=`cat $FICHIER2 | awk /$FIN2$/` 
##############################

mot0=`cat $FICHIER1 | awk /$ALERTE/`
mot1=`cat $FICHIER2 | awk /$ALERTE/`
mot2=`cat $FICHIER1 | awk /$STOP/`
mot3=`cat $FICHIER2 | awk /$STOP/`
A="0"
bloc1="<br>Ligne commencant par la chaine "$COM1" : <br> $l2"
bloc2="<br>Ligne finissant par la chaine "$FIN1" : <br> $l4"
bloc3="<br>Ligne contenant la chaine "$APP1" : <br> $l1"
bloc4="<br>Ligne tant exactement la chaine "$EXA1": <br> $l3"


bloc5="<br>Ligne commencant par la chaine "$COM2" : <br> $l6"
bloc6="<br>Ligne finissant par la chaine "$FIN2" : <br> $l8"
bloc7="<br>Ligne contenant la chaine "$APP2" : <br> $l5"
bloc8="<br>Ligne tant exactement la chaine "$EXA2" : <br> $l7"


if  test  $l1="" |test $l2="" |test $l3="" |test $l4="" |test $l5="" |test $l6="" |test $l7="" |test $l8="" 
then
COLOR="yellow"
fi
 
if  test $l1="" &&test $l2="" &&test $l3="" &&test $l4="" &&test $l5="" &&test $l6="" &&test $l7="" &&test $l8=""
then
	COLOR="red"
fi
#if test $mot0!="" ||test $mot1!=""
#then
		
#	COLOR="red"
#fi
#if test $mot2!=""||test $mot3!=""
#then
		
#	COLOR="green"
#fi

#Envoi des donnes au serveur BB
$BB $BBDISP "status $MACHINE.log $COLOR `date`,
<b>Mot donnant alerte</b> $ALERTE
<b>Mot stoppant alerte</b> $STOP

<b>Recherche dans le fichier: $FICHIER1</b>

$bloc1 <br>$bloc2 <br> $bloc3 <br>$bloc4

<b>Recherche dans le fichier: $FICHIER2</b>

$bloc5 <br>$bloc6 <br> $bloc7 <br>$bloc8"






